“The package could not be installed. No valid plugins were found”

Chances are you’re trying to install the wrong zip file. After downloading the plugin from CodeCanyon, the zip file that you download is not actually the zip that can be installed to WordPress. Instead, there’s a file located inside your original download zip named “revslider.zip” which is the file that can be installed. Here’s a video showing where the plugin’s installable zip can be found:

 

http://www.themepunch.com/codecanyon/revolution_wp/liveguide/01.video.html

 

install

 

Additional Tips:

https://www.themepunch.com/faq/unable-auto-update/